AnalysisRequest
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.engine.analysis
Class AnalysisRequest

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.engine.analysis.AnalysisRequest

    public class AnalysisRequest

extends java.lang.Object

Method Summary
`float` | `getHspecThreshold()`
`java.lang.String[]` | `getLabels(ResourceType type)`
`static java.util.List<AnalysisRequest>` | `getRequests(Analysis toPerform, AnalysisWorker toNotify)`
`java.lang.String[]` | `getTables(ResourceType type)`
`AnalysisType` | `getToPerformAnalysis()`
`void` | `notify(AnalysisResponseDescriptor descriptor, Analyzer analyzer)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getRequests

    public static final java.util.List<AnalysisRequest> getRequests(Analysis toPerform,
                                                                    AnalysisWorker toNotify)
                                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getLabels

    public java.lang.String[] getLabels(ResourceType type)

### getTables

    public java.lang.String[] getTables(ResourceType type)

### getToPerformAnalysis

    public AnalysisType getToPerformAnalysis()

### getHspecThreshold

    public float getHspecThreshold()

### notify

    public void notify(AnalysisResponseDescriptor descriptor,
                       Analyzer analyzer)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD